## freebsd-buildutils 5.2.1+20040403

=== share/mk/Makefile ===
# $FreeBSD: src/share/mk/Makefile,v 1.43 2004/02/05 00:06:45 des Exp $
#	@(#)Makefile	8.1 (Berkeley) 6/8/93

FILES=	bsd.README
FILES+=	bsd.cpu.mk bsd.dep.mk bsd.doc.mk bsd.files.mk
FILES+=	bsd.incs.mk bsd.info.mk bsd.init.mk
FILES+=	bsd.kmod.mk
FILES+=	bsd.lib.mk bsd.libnames.mk bsd.links.mk bsd.man.mk bsd.nls.mk
FILES+=	bsd.obj.mk bsd.own.mk
FILES+=	bsd.port.mk bsd.port.post.mk  bsd.port.pre.mk bsd.port.subdir.mk
FILES+=	bsd.prog.mk bsd.subdir.mk bsd.sys.mk
FILES+=	sys.mk
NOOBJ=	noobj
FILESDIR=	${BINDIR}/mk

.include <bsd.prog.mk>

=== usr.bin/lex/Makefile ===
# $FreeBSD: src/usr.bin/lex/Makefile,v 1.19 2003/07/11 05:30:58 kan Exp $
#
# By default, flex will be configured to generate 8-bit scanners only if the
# -8 flag is given.  If you want it to always generate 8-bit scanners, add
# "-DDEFAULT_CSIZE=256" to CFLAGS.  Note that doing so will double the size
# of all uncompressed scanners.
#
# Bootstrapping of lex is handled automatically.
# Also note that flex.skel no longer gets installed.
#

PROG=		lex
LINKS+=	${BINDIR}/lex ${BINDIR}/lex++
LINKS+=	${BINDIR}/lex ${BINDIR}/flex
LINKS+=	${BINDIR}/lex ${BINDIR}/flex++

SRCS=		scan.c ccl.c dfa.c ecs.c gen.c main.c misc.c nfa.c parse.y \
		skel.c sym.c tblcmp.c yylex.c
LFLAGS+=	-is
CFLAGS+=	-I. -I${.CURDIR}
INCS=		FlexLexer.h
INCSDIR=	${INCLUDEDIR}/c++/3.3
MLINKS+=	lex.1 flex.1
MLINKS+=	lex.1 flex++.1
MLINKS+=	lex.1 lex++.1

CLEANFILES=	scan.c skel.c

SUBDIR=		lib

skel.c: mkskel.sh flex.skl
	sh ${.CURDIR}/mkskel.sh ${.CURDIR}/flex.skl > skel.c

bootstrap: initscan.c
	@cmp -s ${.CURDIR}/initscan.c scan.c || { \
		echo "Bootstrapping flex" ; \
		rm -f scan.c ; \
		cp -f ${.CURDIR}/initscan.c scan.c ; \
	}

test: check
check: $(PROG)
	./$(PROG) $(LFLAGS) -t $(COMPRESSION) $(.CURDIR)/scan.l \
	| sed s,\"$(.CURDIR)/scan.l",\"scan.l", \
	| diff $(.CURDIR)/initscan.c -
	@echo "Check successful"

.include <bsd.prog.mk>

=== usr.bin/make/Makefile ===
#	@(#)Makefile	5.2 (Berkeley) 12/28/90
#	$Id: Makefile,v 1.6 1994/06/30 05:33:39 cgd Exp $
# $FreeBSD: src/usr.bin/make/Makefile,v 1.30 2002/10/28 23:33:57 jmallett Exp $

PROG=	make
CFLAGS+=-I${.CURDIR}
SRCS=	arch.c buf.c compat.c cond.c dir.c for.c hash.c job.c main.c \
	make.c parse.c str.c suff.c targ.c util.c var.c var_modify.c
SRCS+=	lstAppend.c lstAtEnd.c lstAtFront.c lstClose.c lstConcat.c \
	lstDatum.c lstDeQueue.c lstDestroy.c lstDupl.c lstEnQueue.c \
	lstFind.c lstFindFrom.c lstFirst.c lstForEach.c lstForEachFrom.c \
	lstInit.c lstInsert.c lstIsAtEnd.c lstIsEmpty.c lstLast.c \
	lstMember.c lstNext.c lstOpen.c lstRemove.c lstReplace.c lstSucc.c
.PATH:	${.CURDIR}/lst.lib

NOSHARED?=	YES

CFLAGS+=-DMAKE_VERSION=\"5200209170\"
.if defined(_UPGRADING)
CFLAGS+=-D__FBSDID=__RCSID
.endif

# XXX: kernel currently broken
# CFLAGS+=-DUSE_KQUEUE

main.o: ${MAKEFILE}

# Set the shell which make(1) uses.  Bourne is the default, but a decent
# Korn shell works fine, and much faster.  Using the C shell for this
# will almost certainly break everything, but it's Unix tradition to
# allow you to shoot yourself in the foot if you want to :-)

MAKE_SHELL?=	sh
.if ${MAKE_SHELL} == "csh"
CFLAGS+=	-DDEFSHELL=0
.elif ${MAKE_SHELL} == "sh"
CFLAGS+=	-DDEFSHELL=1
.elif ${MAKE_SHELL} == "ksh"
CFLAGS+=	-DDEFSHELL=2
.else
.error "MAKE_SHELL must be set to one of \"csh\", \"sh\" or \"ksh\"."
.endif

.include <bsd.prog.mk>

=== usr.sbin/btxld/Makefile ===
# $FreeBSD: src/usr.sbin/btxld/Makefile,v 1.10 2003/03/11 13:48:58 ru Exp $

PROG=	btxld
MAN=	btxld.8
SRCS=	btxld.c elfh.c
CFLAGS+=-I${.CURDIR}/../kgzip

.include <bsd.prog.mk>

=== usr.sbin/config/Makefile ===
# 	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD: src/usr.sbin/config/Makefile,v 1.33 2003/06/11 21:27:37 obrien Exp $

PROG=	config
MAN=	config.8
SRCS=	config.y main.c lang.l mkmakefile.c mkheaders.c \
	mkoptions.c y.tab.h

WARNS?=	1
CFLAGS+= -I. -I${.CURDIR}

DPADD=	${LIBL}
LDADD=	-ll

mkmakefile.o: configvers.h

.include <bsd.prog.mk>

## freebsd-buildutils 5.2.1+20041028.1

=== share/mk/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $FreeBSD: src/share/mk/Makefile,v 1.43 2004/02/05 00:06:45 des Exp $
+# $FreeBSD: src/share/mk/Makefile,v 1.44 2004/10/24 15:32:48 ru Exp $
 #	@(#)Makefile	8.1 (Berkeley) 6/8/93
 
 FILES=	bsd.README
@@ -10,7 +10,7 @@
 FILES+=	bsd.port.mk bsd.port.post.mk  bsd.port.pre.mk bsd.port.subdir.mk
 FILES+=	bsd.prog.mk bsd.subdir.mk bsd.sys.mk
 FILES+=	sys.mk
-NOOBJ=	noobj
+NOOBJ=
 FILESDIR=	${BINDIR}/mk
 
 .include <bsd.prog.mk>

=== usr.bin/make/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #	@(#)Makefile	5.2 (Berkeley) 12/28/90
 #	$Id: Makefile,v 1.6 1994/06/30 05:33:39 cgd Exp $
-# $FreeBSD: src/usr.bin/make/Makefile,v 1.30 2002/10/28 23:33:57 jmallett Exp $
+# $FreeBSD: src/usr.bin/make/Makefile,v 1.34 2004/09/06 15:25:07 jmg Exp $
 
 PROG=	make
 CFLAGS+=-I${.CURDIR}
@@ -15,12 +15,12 @@
 
 NOSHARED?=	YES
 
-CFLAGS+=-DMAKE_VERSION=\"5200209170\"
+CFLAGS+=-DMAKE_VERSION=\"5200408120\"
 .if defined(_UPGRADING)
 CFLAGS+=-D__FBSDID=__RCSID
 .endif
 
-# XXX: kernel currently broken
+# There is no obvious performance improvement currently.
 # CFLAGS+=-DUSE_KQUEUE
 
 main.o: ${MAKEFILE}

=== usr.bin/lex/lib/Makefile ===
# $FreeBSD: src/usr.bin/lex/lib/Makefile,v 1.8 2004/10/24 15:32:59 ru Exp $

LIB=    ln
SRCS=   libmain.c libyywrap.c
NOPIC=

LINKS=  ${LIBDIR}/libln.a ${LIBDIR}/libl.a
LINKS+=	${LIBDIR}/libln.a ${LIBDIR}/libfl.a

.if !defined(NOPROFILE)
LINKS+= ${LIBDIR}/libln_p.a ${LIBDIR}/libl_p.a
LINKS+=	${LIBDIR}/libln_p.a ${LIBDIR}/libfl_p.a
.endif

.include <bsd.lib.mk>

## freebsd-buildutils 7.0

=== share/mk/Makefile ===
# $FreeBSD: src/share/mk/Makefile,v 1.51 2007/06/01 15:32:23 pav Exp $
#	@(#)Makefile	8.1 (Berkeley) 6/8/93

FILES=	bsd.README
FILES+=	bsd.compat.mk bsd.cpu.mk bsd.dep.mk bsd.doc.mk bsd.endian.mk
FILES+=	bsd.files.mk bsd.incs.mk bsd.info.mk bsd.init.mk
FILES+=	bsd.kmod.mk
FILES+=	bsd.lib.mk bsd.libnames.mk bsd.links.mk bsd.man.mk bsd.nls.mk
FILES+=	bsd.obj.mk bsd.own.mk
FILES+=	bsd.port.mk bsd.port.options.mk bsd.port.post.mk
FILES+=	bsd.port.pre.mk bsd.port.subdir.mk bsd.prog.mk
FILES+=	bsd.snmpmod.mk bsd.subdir.mk bsd.sys.mk bsd.symver.mk
FILES+=	sys.mk version_gen.awk
NO_OBJ=
FILESDIR=	${BINDIR}/mk

.include <bsd.prog.mk>

=== usr.bin/file2c/Makefile ===
# $FreeBSD: src/usr.bin/file2c/Makefile,v 1.8 2005/05/15 06:26:59 marcel Exp $

PROG=	file2c
WARNS?=	6
.include <bsd.prog.mk>

=== usr.bin/make/Makefile ===
#	@(#)Makefile	5.2 (Berkeley) 12/28/90
#	$Id: Makefile,v 1.6 1994/06/30 05:33:39 cgd Exp $
# $FreeBSD: src/usr.bin/make/Makefile,v 1.65 2006/05/11 18:08:44 ru Exp $

PROG=	make
CFLAGS+=-I${.CURDIR}
SRCS=	arch.c buf.c cond.c dir.c for.c hash.c hash_tables.c job.c	\
	lst.c main.c make.c parse.c proc.c shell.c str.c suff.c targ.c	\
	util.c var.c

NO_WERROR=
WARNS?=	6
NO_SHARED?=	YES

CFLAGS+=-DOLD_JOKE=1
CFLAGS+=-DMAKE_VERSION=\"5200408120\"
.if defined(_UPGRADING)
CFLAGS+=-D__FBSDID=__RCSID
.endif

# There is no obvious performance improvement currently.
# CFLAGS+=-DUSE_KQUEUE

# Make object files which depend on preprocessor symbols defined in
# the Makefile which are not compilation options but rather configuration
# options dependend on the Makefile. main.c needs MAKE_VERSION while
# shell.c uses DEFSHELLNAME. This will cause recompilation in the case
# the definition is changed in the makefile. It will of course not cause
# recompilation if one does 'make MAKE_SHELL=csh'.
main.o shell.o: ${MAKEFILE}

# Directive and keyword tables. We use hash tables. These hash tables have been
# generated with mph (ports/devel/mph)
# If you change the directives or keywords (adding, deleting, reordering) you
# need to create new tables and hash functions (directive_hash, keyword_hash).
#
# The following changes have been made to the generated code:
#
#	o prefix the names of the g, T0 and T1 arrays with 'directive_'
#	  resp. 'keyword_'.
#
#	o make the type of the tables 'const [un]signed char' (if you change
#	  anything make sure that the numbers fit into a char).
#
#	o make the hash function use the length for termination,
#	  not the trailing '\0', via the -l flag in emitc and some editing
#	  (only for directive_hash).

LOCALBASE ?= /usr/local
MPH	?= ${LOCALBASE}/bin/mph
EMITC	?= ${LOCALBASE}/bin/emitc

.PRECIOUS: hash

hash:
	( echo '/*' ;							\
	  echo ' * DO NOT EDIT' ;					\
	  echo ' * $$''FreeBSD$$' ;					\
	  echo -n ' * auto-generated from ' ;				\
	  sed -nEe '/\$$FreeBSD/s/^.*\$$(.*)\$$.*$$/\1/p'		\
		${.CURDIR}/parse.c ;					\
	  echo ' * DO NOT EDIT' ;					\
	  echo ' */' ;							\
	  echo '#include <sys/types.h>' ;				\
	  echo ;							\
	  echo '#include "hash_tables.h"' ;				\
	  echo ;							\
	  cat ${.CURDIR}/parse.c | sed					\
	    -e '1,/DIRECTIVES-START-TAG/d'				\
	    -e '/DIRECTIVES-END-TAG/,$$d'				\
	    -e 's/^[^"]*"\([^"]*\)".*$$/\1/' |				\
	    ${MPH} -d2 -m1 | ${EMITC} -l -s |				\
	    sed								\
	    -e 's/^static int g\[\]/static const signed char directive_g[]/' \
	    -e 's/^static int T0\[\]/static const u_char directive_T0[]/' \
	    -e 's/^static int T1\[\]/static const u_char directive_T1[]/' \
	    -e '/^#define uchar unsigned char/d'			\
	    -e 's/uchar/u_char/g'					\
	    -e 's/^hash(/directive_hash(/'				\
	    -e 's/; \*kp;/; kp < key + len;/'				\
	    -e 's/int len)/size_t len)/'				\
	    -e 's/= T0\[/= directive_T0\[/'				\
	    -e 's/= T1\[/= directive_T1\[/'				\
	    -e 's/g\[f/directive_g[f/g' ;				\
	  cat ${.CURDIR}/parse.c | sed					\
	    -e '1,/KEYWORD-START-TAG/d'					\
	    -e '/KEYWORD-END-TAG/,$$d'					\
	    -e 's/^[^"]*"\([^"]*\)".*$$/\1/' |				\
	    ${MPH} -d2 -m1 | ${EMITC} -l -s |				\
	    sed								\
	    -e 's/^static int g\[\]/static const signed char keyword_g[]/' \
	    -e 's/^static int T0\[\]/static const u_char keyword_T0[]/' \
	    -e 's/^static int T1\[\]/static const u_char keyword_T1[]/' \
	    -e '/^#define uchar unsigned char/d'			\
	    -e 's/uchar/u_char/g'					\
	    -e 's/^hash(/keyword_hash(/'				\
	    -e 's/int len)/size_t len)/'				\
	    -e 's/= T0\[/= keyword_T0\[/'				\
	    -e 's/= T1\[/= keyword_T1\[/'				\
	    -e 's/g\[f/keyword_g[f/g'					\
	) > ${.CURDIR}/hash_tables.c

# Set the shell which make(1) uses.  Bourne is the default, but a decent
# Korn shell works fine, and much faster.  Using the C shell for this
# will almost certainly break everything, but it's Unix tradition to
# allow you to shoot yourself in the foot if you want to :-)

MAKE_SHELL?=	sh
.if ${MAKE_SHELL} == "csh" || ${MAKE_SHELL} == "sh" || ${MAKE_SHELL} == "ksh"
CFLAGS+=	-DDEFSHELLNAME=\"${MAKE_SHELL}\"
.else
.error "MAKE_SHELL must be set to one of \"csh\", \"sh\" or \"ksh\"."
.endif

.include <bsd.prog.mk>

=== usr.sbin/btxld/Makefile ===
# $FreeBSD: src/usr.sbin/btxld/Makefile,v 1.12 2006/01/23 13:55:32 delphij Exp $

PROG=	btxld
MAN=	btxld.8
SRCS=	btxld.c elfh.c

WARNS?=	6

.include <bsd.prog.mk>

=== usr.sbin/config/Makefile ===
# 	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD: src/usr.sbin/config/Makefile,v 1.38 2007/10/01 18:15:11 ru Exp $

PROG=	config
MAN=	config.5 config.8
SRCS=	config.y main.c lang.l mkmakefile.c mkheaders.c \
	mkoptions.c y.tab.h kernconf.c

kernconf.c: kernconf.tmpl
	file2c 'char kernconfstr[] = {' ',0};' < ${.CURDIR}/kernconf.tmpl > kernconf.c

WARNS?=	6
CFLAGS+= -I. -I${.CURDIR}

DPADD=	${LIBL} ${LIBSBUF}
LDADD=	-ll -lsbuf

CLEANFILES+=	kernconf.c

mkmakefile.o: configvers.h

.include <bsd.prog.mk>

=== usr.sbin/mtree/Makefile ===
#	From: @(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD: src/usr.sbin/mtree/Makefile,v 1.27 2005/03/29 11:44:17 tobez Exp $

.PATH: ${.CURDIR}/../../usr.bin/cksum

PROG=	mtree
MAN=	mtree.8
SRCS=	compare.c crc.c create.c excludes.c misc.c mtree.c spec.c verify.c
SRCS+=	specspec.c

WARNS?=	4

CFLAGS+= -DMD5 -DSHA1 -DRMD160 -DSHA256
DPADD=	${LIBMD}
LDADD=	-lmd

.include <bsd.prog.mk>

=== usr.bin/lex/lib/Makefile ===
# $FreeBSD: src/usr.bin/lex/lib/Makefile,v 1.10.2.1 2007/10/23 15:41:34 ru Exp $

.include <bsd.own.mk>

LIB=    ln
SRCS=   libmain.c libyywrap.c
NO_PIC=

.if ${MK_INSTALLLIB} != "no"
LINKS=  ${LIBDIR}/libln.a ${LIBDIR}/libl.a
LINKS+=	${LIBDIR}/libln.a ${LIBDIR}/libfl.a
.endif

.if ${MK_PROFILE} != "no"
LINKS+= ${LIBDIR}/libln_p.a ${LIBDIR}/libl_p.a
LINKS+=	${LIBDIR}/libln_p.a ${LIBDIR}/libfl_p.a
.endif

.include <bsd.lib.mk>

## freebsd-buildutils 7.2

=== share/mk/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $FreeBSD: src/share/mk/Makefile,v 1.51 2007/06/01 15:32:23 pav Exp $
+# $FreeBSD: src/share/mk/Makefile,v 1.51.8.1 2009/04/15 03:14:26 kensmith Exp $
 #	@(#)Makefile	8.1 (Berkeley) 6/8/93
 
 FILES=	bsd.README

=== usr.bin/brandelf/Makefile ===
# $FreeBSD: src/usr.bin/brandelf/Makefile,v 1.7.30.1 2009/04/15 03:14:26 kensmith Exp $

PROG=	brandelf

.include <bsd.prog.mk>

=== usr.bin/cksum/Makefile ===
#	@(#)Makefile	8.2 (Berkeley) 4/28/95
# $FreeBSD: src/usr.bin/cksum/Makefile,v 1.5.34.1 2009/04/15 03:14:26 kensmith Exp $

PROG=	cksum
SRCS=	cksum.c crc.c print.c sum1.c sum2.c crc32.c
LINKS=	${BINDIR}/cksum ${BINDIR}/sum
MLINKS=	cksum.1 sum.1

.include <bsd.prog.mk>

=== usr.bin/file2c/Makefile ===
# $FreeBSD: src/usr.bin/file2c/Makefile,v 1.8.20.1 2009/04/15 03:14:26 kensmith Exp $

PROG=	file2c
WARNS?=	6
.include <bsd.prog.mk>

=== usr.bin/lex/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $FreeBSD: src/usr.bin/lex/Makefile,v 1.19 2003/07/11 05:30:58 kan Exp $
+# $FreeBSD: src/usr.bin/lex/Makefile,v 1.20.28.1 2009/04/15 03:14:26 kensmith Exp $
 #
 # By default, flex will be configured to generate 8-bit scanners only if the
 # -8 flag is given.  If you want it to always generate 8-bit scanners, add
@@ -19,7 +19,7 @@
 LFLAGS+=	-is
 CFLAGS+=	-I. -I${.CURDIR}
 INCS=		FlexLexer.h
-INCSDIR=	${INCLUDEDIR}/c++/3.3
+INCSDIR=	${INCLUDEDIR}
 MLINKS+=	lex.1 flex.1
 MLINKS+=	lex.1 flex++.1
 MLINKS+=	lex.1 lex++.1

=== usr.bin/make/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #	@(#)Makefile	5.2 (Berkeley) 12/28/90
 #	$Id: Makefile,v 1.6 1994/06/30 05:33:39 cgd Exp $
-# $FreeBSD: src/usr.bin/make/Makefile,v 1.65 2006/05/11 18:08:44 ru Exp $
+# $FreeBSD: src/usr.bin/make/Makefile,v 1.65.2.2.2.1 2009/04/15 03:14:26 kensmith Exp $
 
 PROG=	make
 CFLAGS+=-I${.CURDIR}
@@ -8,16 +8,10 @@
 	lst.c main.c make.c parse.c proc.c shell.c str.c suff.c targ.c	\
 	util.c var.c
 
-NO_WERROR=
 WARNS?=	6
 NO_SHARED?=	YES
 
-CFLAGS+=-DOLD_JOKE=1
 CFLAGS+=-DMAKE_VERSION=\"5200408120\"
-.if defined(_UPGRADING)
-CFLAGS+=-D__FBSDID=__RCSID
-.endif
-
 # There is no obvious performance improvement currently.
 # CFLAGS+=-DUSE_KQUEUE
 
@@ -57,7 +51,7 @@
 	  echo ' * DO NOT EDIT' ;					\
 	  echo ' * $$''FreeBSD$$' ;					\
 	  echo -n ' * auto-generated from ' ;				\
-	  sed -nEe '/\$$FreeBSD/s/^.*\$$(.*)\$$.*$$/\1/p'		\
+	  sed -nEe '/\$$FreeBSD: src/usr.bin/make/Makefile,v 1.65.2.2.2.1 2009/04/15 03:14:26 kensmith Exp $/\1/p'		\
 		${.CURDIR}/parse.c ;					\
 	  echo ' * DO NOT EDIT' ;					\
 	  echo ' */' ;							\

=== usr.bin/mkdep/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD: src/usr.bin/mkdep/Makefile,v 1.9.34.1 2009/04/15 03:14:26 kensmith Exp $

SCRIPTS=	mkdep.gcc.sh
MAN=		mkdep.1
SCRIPTSNAME=	mkdep

.include <bsd.prog.mk>

=== usr.bin/yacc/Makefile ===
#	@(#)Makefile	5.3 (Berkeley) 5/12/90
# $FreeBSD: src/usr.bin/yacc/Makefile,v 1.13.34.1 2009/04/15 03:14:26 kensmith Exp $

PROG=	yacc
SRCS=	closure.c error.c lalr.c lr0.c main.c mkpar.c output.c reader.c \
	skeleton.c symtab.c verbose.c warshall.c
SCRIPTS=yyfix.sh
MAN=	yacc.1 yyfix.1
LINKS=	${BINDIR}/yacc ${BINDIR}/byacc
MLINKS=	yacc.1 byacc.1

.include <bsd.prog.mk>

=== usr.sbin/btxld/Makefile ===
# $FreeBSD: src/usr.sbin/btxld/Makefile,v 1.12.8.1 2009/04/15 03:14:26 kensmith Exp $

PROG=	btxld
MAN=	btxld.8
SRCS=	btxld.c elfh.c

WARNS?=	6

.include <bsd.prog.mk>

=== usr.sbin/config/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # 	@(#)Makefile	8.1 (Berkeley) 6/6/93
-# $FreeBSD: src/usr.sbin/config/Makefile,v 1.38 2007/10/01 18:15:11 ru Exp $
+# $FreeBSD: src/usr.sbin/config/Makefile,v 1.38.8.1 2009/04/15 03:14:26 kensmith Exp $
 
 PROG=	config
 MAN=	config.5 config.8

=== usr.sbin/kgzip/Makefile ===
# $FreeBSD: src/usr.sbin/kgzip/Makefile,v 1.11.30.1 2009/04/15 03:14:26 kensmith Exp $

PROG=	kgzip
MAN=	kgzip.8
SRCS=	kgzip.c aouthdr.c elfhdr.c kgzcmp.c kgzld.c xio.c

WARNS?=	3

.include <bsd.prog.mk>

=== usr.sbin/mtree/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #	From: @(#)Makefile	8.1 (Berkeley) 6/6/93
-# $FreeBSD: src/usr.sbin/mtree/Makefile,v 1.27 2005/03/29 11:44:17 tobez Exp $
+# $FreeBSD: src/usr.sbin/mtree/Makefile,v 1.27.20.1 2009/04/15 03:14:26 kensmith Exp $
 
 .PATH: ${.CURDIR}/../../usr.bin/cksum

## freebsd-buildutils 8.1

=== src/share/mk/Makefile ===
# $FreeBSD$
#	@(#)Makefile	8.1 (Berkeley) 6/8/93

FILES=	bsd.README
FILES+=	bsd.compat.mk bsd.cpu.mk bsd.dep.mk bsd.doc.mk bsd.endian.mk
FILES+=	bsd.files.mk bsd.incs.mk bsd.info.mk bsd.init.mk
FILES+=	bsd.kmod.mk
FILES+=	bsd.lib.mk bsd.libnames.mk bsd.links.mk bsd.man.mk bsd.nls.mk
FILES+=	bsd.obj.mk bsd.own.mk
FILES+=	bsd.port.mk bsd.port.options.mk bsd.port.post.mk
FILES+=	bsd.port.pre.mk bsd.port.subdir.mk bsd.prog.mk
FILES+=	bsd.snmpmod.mk bsd.subdir.mk bsd.sys.mk bsd.symver.mk
FILES+=	sys.mk version_gen.awk
NO_OBJ=
FILESDIR=	${BINDIR}/mk

.include <bsd.prog.mk>

=== src/usr.sbin/btxld/Makefile ===
# $FreeBSD$

PROG=	btxld
MAN=	btxld.8
SRCS=	btxld.c elfh.c

WARNS?=	6

.include <bsd.prog.mk>

=== src/usr.bin/lex/lib/Makefile ===
# $FreeBSD$

.include <bsd.own.mk>

LIB=    ln
SRCS=   libmain.c libyywrap.c
NO_PIC=

.if ${MK_INSTALLLIB} != "no"
LINKS=  ${LIBDIR}/libln.a ${LIBDIR}/libl.a
LINKS+=	${LIBDIR}/libln.a ${LIBDIR}/libfl.a
.endif

.if ${MK_PROFILE} != "no"
LINKS+= ${LIBDIR}/libln_p.a ${LIBDIR}/libl_p.a
LINKS+=	${LIBDIR}/libln_p.a ${LIBDIR}/libfl_p.a
.endif

.include <bsd.lib.mk>

## freebsd-buildutils 8.2

=== src/usr.bin/file2c/Makefile ===
# $FreeBSD$

PROG=	file2c
WARNS?=	6
.include <bsd.prog.mk>

=== src/usr.bin/lex/Makefile ===
# $FreeBSD$
#
# By default, flex will be configured to generate 8-bit scanners only if the
# -8 flag is given.  If you want it to always generate 8-bit scanners, add
# "-DDEFAULT_CSIZE=256" to CFLAGS.  Note that doing so will double the size
# of all uncompressed scanners.
#
# Bootstrapping of lex is handled automatically.
# Also note that flex.skel no longer gets installed.
#

PROG=		lex
LINKS+=	${BINDIR}/lex ${BINDIR}/lex++
LINKS+=	${BINDIR}/lex ${BINDIR}/flex
LINKS+=	${BINDIR}/lex ${BINDIR}/flex++

SRCS=		scan.c ccl.c dfa.c ecs.c gen.c main.c misc.c nfa.c parse.y \
		skel.c sym.c tblcmp.c yylex.c
LFLAGS+=	-is
CFLAGS+=	-I. -I${.CURDIR}
INCS=		FlexLexer.h
INCSDIR=	${INCLUDEDIR}
MLINKS+=	lex.1 flex.1
MLINKS+=	lex.1 flex++.1
MLINKS+=	lex.1 lex++.1

CLEANFILES=	scan.c skel.c

SUBDIR=		lib

skel.c: mkskel.sh flex.skl
	sh ${.CURDIR}/mkskel.sh ${.CURDIR}/flex.skl > skel.c

bootstrap: initscan.c
	@cmp -s ${.CURDIR}/initscan.c scan.c || { \
		echo "Bootstrapping flex" ; \
		rm -f scan.c ; \
		cp -f ${.CURDIR}/initscan.c scan.c ; \
	}

test: check
check: $(PROG)
	./$(PROG) $(LFLAGS) -t $(COMPRESSION) $(.CURDIR)/scan.l \
	| sed s,\"$(.CURDIR)/scan.l",\"scan.l", \
	| diff $(.CURDIR)/initscan.c -
	@echo "Check successful"

.include <bsd.prog.mk>

=== src/usr.bin/make/Makefile ===
#	@(#)Makefile	5.2 (Berkeley) 12/28/90
#	$Id: Makefile,v 1.6 1994/06/30 05:33:39 cgd Exp $
# $FreeBSD$

PROG=	make
CFLAGS+=-I${.CURDIR}
SRCS=	arch.c buf.c cond.c dir.c for.c hash.c hash_tables.c job.c	\
	lst.c main.c make.c parse.c proc.c shell.c str.c suff.c targ.c	\
	util.c var.c

WARNS?=	6
NO_SHARED?=	YES

CFLAGS+=-DMAKE_VERSION=\"5200408120\"
# There is no obvious performance improvement currently.
# CFLAGS+=-DUSE_KQUEUE

# Make object files which depend on preprocessor symbols defined in
# the Makefile which are not compilation options but rather configuration
# options dependend on the Makefile. main.c needs MAKE_VERSION while
# shell.c uses DEFSHELLNAME. This will cause recompilation in the case
# the definition is changed in the makefile. It will of course not cause
# recompilation if one does 'make MAKE_SHELL=csh'.
main.o shell.o: ${MAKEFILE}

# Directive and keyword tables. We use hash tables. These hash tables have been
# generated with mph (ports/devel/mph)
# If you change the directives or keywords (adding, deleting, reordering) you
# need to create new tables and hash functions (directive_hash, keyword_hash).
#
# The following changes have been made to the generated code:
#
#	o prefix the names of the g, T0 and T1 arrays with 'directive_'
#	  resp. 'keyword_'.
#
#	o make the type of the tables 'const [un]signed char' (if you change
#	  anything make sure that the numbers fit into a char).
#
#	o make the hash function use the length for termination,
#	  not the trailing '\0', via the -l flag in emitc and some editing
#	  (only for directive_hash).

LOCALBASE ?= /usr/local
MPH	?= ${LOCALBASE}/bin/mph
EMITC	?= ${LOCALBASE}/bin/emitc

.PRECIOUS: hash

hash:
	( echo '/*' ;							\
	  echo ' * DO NOT EDIT' ;					\
	  echo ' * $$''FreeBSD$$' ;					\
	  echo -n ' * auto-generated from ' ;				\
	  sed -nEe '/\$$FreeBSD/s/^.*\$$(.*)\$$.*$$/\1/p'		\
		${.CURDIR}/parse.c ;					\
	  echo ' * DO NOT EDIT' ;					\
	  echo ' */' ;							\
	  echo '#include <sys/types.h>' ;				\
	  echo ;							\
	  echo '#include "hash_tables.h"' ;				\
	  echo ;							\
	  cat ${.CURDIR}/parse.c | sed					\
	    -e '1,/DIRECTIVES-START-TAG/d'				\
	    -e '/DIRECTIVES-END-TAG/,$$d'				\
	    -e 's/^[^"]*"\([^"]*\)".*$$/\1/' |				\
	    ${MPH} -d2 -m1 | ${EMITC} -l -s |				\
	    sed								\
	    -e 's/^static int g\[\]/static const signed char directive_g[]/' \
	    -e 's/^static int T0\[\]/static const u_char directive_T0[]/' \
	    -e 's/^static int T1\[\]/static const u_char directive_T1[]/' \
	    -e '/^#define uchar unsigned char/d'			\
	    -e 's/uchar/u_char/g'					\
	    -e 's/^hash(/directive_hash(/'				\
	    -e 's/; \*kp;/; kp < key + len;/'				\
	    -e 's/int len)/size_t len)/'				\
	    -e 's/= T0\[/= directive_T0\[/'				\
	    -e 's/= T1\[/= directive_T1\[/'				\
	    -e 's/g\[f/directive_g[f/g' ;				\
	  cat ${.CURDIR}/parse.c | sed					\
	    -e '1,/KEYWORD-START-TAG/d'					\
	    -e '/KEYWORD-END-TAG/,$$d'					\
	    -e 's/^[^"]*"\([^"]*\)".*$$/\1/' |				\
	    ${MPH} -d2 -m1 | ${EMITC} -l -s |				\
	    sed								\
	    -e 's/^static int g\[\]/static const signed char keyword_g[]/' \
	    -e 's/^static int T0\[\]/static const u_char keyword_T0[]/' \
	    -e 's/^static int T1\[\]/static const u_char keyword_T1[]/' \
	    -e '/^#define uchar unsigned char/d'			\
	    -e 's/uchar/u_char/g'					\
	    -e 's/^hash(/keyword_hash(/'				\
	    -e 's/int len)/size_t len)/'				\
	    -e 's/= T0\[/= keyword_T0\[/'				\
	    -e 's/= T1\[/= keyword_T1\[/'				\
	    -e 's/g\[f/keyword_g[f/g'					\
	) > ${.CURDIR}/hash_tables.c

# Set the shell which make(1) uses.  Bourne is the default, but a decent
# Korn shell works fine, and much faster.  Using the C shell for this
# will almost certainly break everything, but it's Unix tradition to
# allow you to shoot yourself in the foot if you want to :-)

MAKE_SHELL?=	sh
.if ${MAKE_SHELL} == "csh" || ${MAKE_SHELL} == "sh" || ${MAKE_SHELL} == "ksh"
CFLAGS+=	-DDEFSHELLNAME=\"${MAKE_SHELL}\"
.else
.error "MAKE_SHELL must be set to one of \"csh\", \"sh\" or \"ksh\"."
.endif

.include <bsd.prog.mk>

=== src/usr.bin/yacc/Makefile ===
#	@(#)Makefile	5.3 (Berkeley) 5/12/90
# $FreeBSD$

PROG=	yacc
SRCS=	closure.c error.c lalr.c lr0.c main.c mkpar.c output.c reader.c \
	skeleton.c symtab.c verbose.c warshall.c
SCRIPTS=yyfix.sh
MAN=	yacc.1 yyfix.1
LINKS=	${BINDIR}/yacc ${BINDIR}/byacc
MLINKS=	yacc.1 byacc.1

.include <bsd.prog.mk>

=== src/usr.sbin/config/Makefile ===
# 	@(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD$

PROG=	config
MAN=	config.5 config.8
SRCS=	config.y main.c lang.l mkmakefile.c mkheaders.c \
	mkoptions.c y.tab.h kernconf.c

kernconf.c: kernconf.tmpl
	file2c 'char kernconfstr[] = {' ',0};' < ${.CURDIR}/kernconf.tmpl > kernconf.c

WARNS?=	6
CFLAGS+= -I. -I${.CURDIR}

DPADD=	${LIBL} ${LIBSBUF}
LDADD=	-ll -lsbuf

CLEANFILES+=	kernconf.c

mkmakefile.o: configvers.h

.include <bsd.prog.mk>

=== src/usr.sbin/mtree/Makefile ===
#	From: @(#)Makefile	8.1 (Berkeley) 6/6/93
# $FreeBSD$

.PATH: ${.CURDIR}/../../usr.bin/cksum

PROG=	mtree
MAN=	mtree.8 mtree.5
SRCS=	compare.c crc.c create.c excludes.c misc.c mtree.c spec.c verify.c
SRCS+=	specspec.c

WARNS?=	4

CFLAGS+= -DMD5 -DSHA1 -DRMD160 -DSHA256
DPADD=	${LIBMD}
LDADD=	-lmd

.include <bsd.prog.mk>

=== debian/changelog ===
freebsd-buildutils (8.2-8) unstable; urgency=low

  [ Matthias Klose ]
  * Fix FTBFS with ld --as-needed.  (Closes: #642091, LP: #749170)

  [ Robert Millan ]
  * Export CFLAGS in debian/rules so that it is actually propagated.
    (Closes: #642700)
  * Fix bsd.dep.mk so that -U flags are propagated in kernel builds.

 -- Robert Millan <rmh@debian.org>  Thu, 03 Nov 2011 15:02:07 +0100

freebsd-buildutils (8.2-7) unstable; urgency=low

  * 04_lex_disable_unused.diff: Fix generation of code in lex, which
    defined __unused and broke system headers (see #522773 and #522774).

 -- Robert Millan <rmh@debian.org>  Tue, 12 Jul 2011 17:53:12 +0200

freebsd-buildutils (8.2-6) unstable; urgency=low

  * 21_endian.diff: If neither TARGET_BIG_ENDIAN or TARGET_LITTLE_ENDIAN are
    defined, default to native compilation (fixes FTBFS on mips and armeb).

 -- Robert Millan <rmh@debian.org>  Wed, 06 Jul 2011 19:48:48 +0200

freebsd-buildutils (8.2-5) unstable; urgency=low

  * Disable libbsd overlay untill #630907 is fixed.  (Closes: #632600)

 -- Robert Millan <rmh@debian.org>  Mon, 04 Jul 2011 15:43:02 +0200

freebsd-buildutils (8.2-4) unstable; urgency=low

  * MACHINE_ARCH is now set to "mips" on mipsel.  (Closes: #631890)

 -- Robert Millan <rmh@debian.org>  Sat, 02 Jul 2011 13:13:57 +0200

freebsd-buildutils (8.2-3) unstable; urgency=low

  * 18_fix_sysdir.diff: Bring back search in relative paths (removing it
    breaks kfreebsd builds).  (Closes: #631889, #631892)

 -- Robert Millan <rmh@debian.org>  Tue, 28 Jun 2011 15:23:42 +0200

freebsd-buildutils (8.2-2) unstable; urgency=low

  * 18_fix_sysdir.diff: Fix SYSDIR path to make kernel modules buildable.
    (Closes: #594183).
  * Switch to use the libbsd-overlay:
    - Bump libbsd-dev Build-Depends to (>= 0.3.0).
    - Add pkg-config to Build-Depends.
    - Remove some now obsolete porting code.
  * Disable FreeBSD/pc98 pre-7.0 compatibility on non-FreeBSD (fixes FTBFS on
    hurd-i386).
  * 19_fix_cmd_pathnames.diff: Fix pathnames for a number of commands.
    (Closes: #625261)
  * Add myself to Uploaders.

 -- Robert Millan <rmh@debian.org>  Sun, 26 Jun 2011 17:47:37 +0200

freebsd-buildutils (8.2-1) unstable; urgency=low

  [ Robert Millan ]
  * 10_non_kfreebsd.diff: Make freebsd-make usable on non-kFreeBSD
    systems.  (Closes: #602768)

  [ Guillem Jover ]
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Switch to source format “3.0 (quilt)”.
    - Remove quilt from Build-Depends.
    - Remove patch target in debian/rules.
    - Remove now unneeded README.source.
    - Refresh all patches.
  * Use -C option for pmake instead of manually changing dir.
  * Stop Build-Depending on pmake, bootstrap freebsd-make using GNU make
    and use it as pmake instead of using it from the pmake package.
  * Switch to debhelper compatibility level 7.
    - Use dh_prep instead of “dh_clean -k”.
  * Only use MACHINE_ARCH in freebsd-make if it's defined.
  * Add support for Multi-Arch directories to freebsd-make:
    - Do not switch LIBDIR yet, the dynamic linker does not have the
      correct paths for i386 based architectures.
    - Add builtin MACHINE_MULTIARCH make variable.
  * Refactor source and tar name into SOURCE and TARNAME in debian/rules.
  * Line-wrap CFLAGS variable in debian/rules.
  * Install binaries directly to /usr/lib/freebsd instead of relocating them
    from /usr/bin and /usr/sbin.
  * Install the man pages. (Closes: #493898)
  * Change ‘unix’ freebsd-make variable to “We run Debian, not UNIX.” and
    remove ‘.FreeBSD’ freebsd-make variable. (Closes: #493841)
  * Intersperse Depends description comments between the actual dependencies.
  * Do not install profile and libfl.a hardlinks for freebsd-lex libln.a.

 -- Guillem Jover <guillem@debian.org>  Tue, 31 May 2011 04:20:37 +0200

freebsd-buildutils (8.1-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_8_1_0_RELEASE)

  [ Aurelien Jarno ]
  * Update debian/copyright.
  * Bumped Standard-Versions to 3.9.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 29 Jul 2010 21:33:33 +0200

freebsd-buildutils (8.0-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_8_0_0_RELEASE)
  * Add a get-orig-source target to debian/rules and
       stop using a tar in tar system.
  * Use quilt for patches management

  [ Aurelien Jarno ]
  * Add a README.source.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 12 Apr 2010 23:53:50 +0200

freebsd-buildutils (7.2-2) unstable; urgency=low

  * Remove part of the automatic patches in favor of patches.
  * Use libbsd instead of hacked funtions (Closes: #379259).
  * Use <bsd/sys/*.h> includes instead of <bsd/*.h>.
  * Remove depends on dash, it is now essential.
  * Add depends on ${misc:Depends}.
  * Bumped Standard-Versions to 3.8.4 (no changes).
  * Handle nostrip build options (Closes: #436857).

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 10 Apr 2010 16:49:49 +0200

freebsd-buildutils (7.2-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_7_2_0_RELEASE)

 -- Aurelien Jarno <aurel32@debian.org>  Wed, 06 May 2009 09:03:20 +0200

freebsd-buildutils (7.1-2) unstable; urgency=low

  * patches/15_manpages_gzip.diff: new patch to gzip manpages with -9 by
    default, as required on Debian systems.
  * Switch to debhelper 5.
  * Bumped Standard-Versions to 3.8.1 (no changes).

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 07 Apr 2009 17:49:03 +0200

freebsd-buildutils (7.1-1) unstable; urgency=low

  [ Petr Salinger ]
  * New upstream version (RELENG_7_1_0_RELEASE)

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 11 Jan 2009 11:59:32 +0100

freebsd-buildutils (7.0-2) unstable; urgency=low

  [ Petr Salinger ]
  * fix implicit-pointer-conversion by including appropriate headers.
    Closes: #493770.
  * add Vcs-* fields into debian/control.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 05 Aug 2008 14:30:25 +0200



=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_GNU_CPU	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_HOST_ARCH_CPU	:= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_MULTIARCH	:= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifeq ($(DEB_HOST_ARCH_CPU), mipsel)
MACHINE_ARCH		:= mips
else
MACHINE_ARCH		:= $(DEB_HOST_ARCH_CPU)
endif

ifeq ($(DEB_HOST_MULTIARCH), mipsel)
MACHINE_MULTIARCH	:= mips
else
MACHINE_MULTIARCH	:= $(DEB_HOST_MULTIARCH)
endif

ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
    export STRIPFLAG=
endif

SOURCE = freebsd-buildutils
VERSION = $(shell dpkg-parsechangelog | sed -e '/^Version:/!d' -e 's/^Version: //g' -e 's/-.*//g')
SVN = http://svn.freebsd.org/base/release/$(VERSION).0

PVERSION = $(shell dpkg-parsechangelog | sed -e '/^Version:/!d' -e 's/^Version: //g' -e 's/-.*//g' -e 's/\./_/g')
PCVS = anoncvs@anoncvs.fr.freebsd.org:/home/ncvs
PTAG = RELEASE_$(PVERSION)_0

ORIGDIR = $(SOURCE)-$(VERSION)
TARNAME = $(SOURCE)_$(VERSION).orig.tar.gz

export CFLAGS = -O2 -g -Wall -D_GNU_SOURCE \
         -DMACHINE_ARCH='"$(MACHINE_ARCH)"' \
         -DMACHINE_MULTIARCH='"$(MACHINE_MULTIARCH)"' \
         -I$(CURDIR)/build-tree/src/sys \
	 -D'__FBSDID(string)='
# disabled due to #630907 (see also 20_libbsd_overlay.diff)
# $(shell pkg-config --cflags libbsd-overlay)
MAKE_BUILD_FLAGS = CC=gcc NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO NO_SHARED=NO

PMAKE_FLAGS = -m $(CURDIR)/src/share/mk
PMAKE_BOOTSTRAP = $(CURDIR)/build-tree/src/usr.bin/make/pmake $(PMAKE_FLAGS)
PMAKE = $(CURDIR)/build-tree/src/usr.bin/make/make $(PMAKE_FLAGS)
YACC = $(CURDIR)/build-tree/src/usr.bin/yacc/yacc

package = $(SOURCE)

get-orig-source:
	rm -rf $(ORIGDIR)
	mkdir -p $(ORIGDIR)/src/sys/sys $(ORIGDIR)/src/sys/kern/
	for i in \
		share/mk \
		usr.bin/cksum \
		usr.bin/file2c \
		usr.bin/lex \
		usr.bin/make \
		usr.bin/mkdep \
		usr.bin/yacc \
		usr.bin/brandelf \
		usr.sbin/btxld \
		usr.sbin/kgzip \
		usr.sbin/mtree \
	; do \
		svn export $(SVN)/$$i $(ORIGDIR)/src/$$i ; \
	done
	cd $(ORIGDIR); cvs -d $(PCVS) export -r $(PTAG) ports/Mk ; cd ..
	tar --numeric-owner --owner 0 --group 0 -czf ../$(TARNAME) $(ORIGDIR)
	rm -rf $(ORIGDIR)

unpack: unpack-stamp
unpack-stamp:
	mkdir build-tree
	cp -a src ports build-tree/
	set -e ; for i in \
		build-tree/ports/Mk/bsd.port.mk \
		build-tree/ports/Mk/bsd.port.subdir.mk \
	; do sed -i $$i \
		-e "s,/usr/bin/,,g" \
		-e "s,/usr/sbin/,,g" \
		-e "s,/bin/,,g" \
		-e "s,/sbin/,,g" \
		-e "s,/usr/ports,/usr/share/$(package)/ports,g" \
	; done

	touch unpack-stamp

build: build-stamp
build-stamp: unpack-stamp
	dh_testdir

	# Bootstrap pmake using GNU make
	$(MAKE) -C build-tree/src/usr.bin/make -f Makefile.dist
	$(MAKE) -C build-tree/src/usr.bin/make -f Makefile.dist mostlyclean
	$(PMAKE_BOOTSTRAP) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.bin/make

	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.bin/yacc

	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.bin/cksum

	cd build-tree/src/usr.bin/lex ; \
		$(PMAKE) bootstrap ; \
		$(YACC) -d -o parse.c parse.y ; \
		$(PMAKE) $(MAKE_BUILD_FLAGS) NO_PROFILE=1 NO_INSTALLLIB=1

	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.bin/mkdep
	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.sbin/mtree
	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.bin/file2c
	$(PMAKE) $(MAKE_BUILD_FLAGS) -C build-tree/src/usr.bin/brandelf

	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	for i in cksum lex make mkdep yacc file2c brandelf ; do \
	  $(PMAKE) -C $(CURDIR)/build-tree/src/usr.bin/$$i install \
		DESTDIR=$(CURDIR)/debian/$(package) BINDIR=/usr/lib/freebsd ; \
	done
	for i in mtree ; do \
	  $(PMAKE) -C $(CURDIR)/build-tree/src/usr.sbin/$$i install \
		DESTDIR=$(CURDIR)/debian/$(package) BINDIR=/usr/lib/freebsd ; \
	done
	$(PMAKE) -C build-tree/src/share/mk install \
		DESTDIR=$(CURDIR)/debian/$(package) BINDIR=/usr/share

	cp -af $(CURDIR)/build-tree/ports/Mk \
		$(CURDIR)/debian/$(package)/usr/share/

	# remove trash
	rm -rf 	$(CURDIR)/debian/$(package)/usr/include \
		$(CURDIR)/debian/$(package)/var
	find $(CURDIR)/debian/$(package)/usr/share/man -type l | \
		xargs rm

	# relocate files
	for m in `find $(CURDIR)/debian/$(package)/usr/share/man -type f`; do \
		mv $$m `echo $$m | sed -e 's:\(man[0-9]/\):\1freebsd-:'` ; \
	done
	for i in `cd $(CURDIR)/debian/$(package)/usr/lib/freebsd && ls` ; do \
		ln -s ../lib/freebsd/$$i \
		$(CURDIR)/debian/$(package)/usr/bin/freebsd-$$i ; \
	done
	rmdir $(CURDIR)/debian/$(package)/usr/sbin

clean:
	dh_testdir
	dh_testroot
	rm -rf build-tree
	rm -f *-stamp

	dh_clean


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## freebsd-buildutils 9.0

=== src/share/mk/Makefile ===
--- 
+++ 
@@ -2,8 +2,10 @@
 #	@(#)Makefile	8.1 (Berkeley) 6/8/93
 
 FILES=	bsd.README
-FILES+=	bsd.compat.mk bsd.cpu.mk bsd.dep.mk bsd.doc.mk bsd.endian.mk
-FILES+=	bsd.files.mk bsd.incs.mk bsd.info.mk bsd.init.mk
+FILES+=	bsd.arch.inc.mk
+FILES+=	bsd.compat.mk bsd.cpu.mk bsd.dep.mk bsd.doc.mk bsd.dtrace.mk
+FILES+=	bsd.endian.mk
+FILES+=	bsd.files.mk bsd.crunchgen.mk bsd.incs.mk bsd.info.mk bsd.init.mk
 FILES+=	bsd.kmod.mk
 FILES+=	bsd.lib.mk bsd.libnames.mk bsd.links.mk bsd.man.mk bsd.nls.mk
 FILES+=	bsd.obj.mk bsd.own.mk

=== src/usr.bin/lex/Makefile ===
--- 
+++ 
@@ -24,6 +24,8 @@
 MLINKS+=	lex.1 flex++.1
 MLINKS+=	lex.1 lex++.1
 
+WARNS?=		2
+
 CLEANFILES=	scan.c skel.c
 
 SUBDIR=		lib
@@ -42,7 +44,7 @@
 check: $(PROG)
 	./$(PROG) $(LFLAGS) -t $(COMPRESSION) $(.CURDIR)/scan.l \
 	| sed s,\"$(.CURDIR)/scan.l",\"scan.l", \
-	| diff $(.CURDIR)/initscan.c -
+	| diff -I '\$$FreeBS[D]:.*\$$' $(.CURDIR)/initscan.c -
 	@echo "Check successful"
 
 .include <bsd.prog.mk>

=== src/usr.bin/make/Makefile ===
--- 
+++ 
@@ -8,7 +8,6 @@
 	lst.c main.c make.c parse.c proc.c shell.c str.c suff.c targ.c	\
 	util.c var.c
 
-WARNS?=	6
 NO_SHARED?=	YES
 
 CFLAGS+=-DMAKE_VERSION=\"5200408120\"

=== src/usr.sbin/mtree/Makefile ===
--- 
+++ 
@@ -8,8 +8,6 @@
 SRCS=	compare.c crc.c create.c excludes.c misc.c mtree.c spec.c verify.c
 SRCS+=	specspec.c
 
-WARNS?=	4
-
 CFLAGS+= -DMD5 -DSHA1 -DRMD160 -DSHA256
 DPADD=	${LIBMD}
 LDADD=	-lmd

=== src/usr.bin/lex/lib/Makefile ===
--- 
+++ 
@@ -5,6 +5,8 @@
 LIB=    ln
 SRCS=   libmain.c libyywrap.c
 NO_PIC=
+
+WARNS?=	2
 
 .if ${MK_INSTALLLIB} != "no"
 LINKS=  ${LIBDIR}/libln.a ${LIBDIR}/libl.a

=== debian/changelog ===
freebsd-buildutils (9.0-8) unstable; urgency=low

  * Add getosreldate() to local headers.
  * Make feature_present() backward-compatible with pre-900038 kernels.

 -- Robert Millan <rmh@debian.org>  Thu, 23 Feb 2012 20:58:39 +0100

freebsd-buildutils (9.0-7) unstable; urgency=low

  * sys/endian.h: Don't include_next <machine/endian.h>, just include.
  * Add execvP().

 -- Robert Millan <rmh@debian.org>  Wed, 15 Feb 2012 22:57:13 +0100

freebsd-buildutils (9.0-6) unstable; urgency=low

  * Make <sys/types.h> imply <machine/endian.h>, even on non-kFreeBSD
    platforms (we always have <machine/endian.h> in local directory).

 -- Robert Millan <rmh@debian.org>  Wed, 15 Feb 2012 20:45:29 +0100

freebsd-buildutils (9.0-5) unstable; urgency=low

  * Add implicit includes to sys/stdint.h.
  * Steal a few more definitions for sys/cdefs.h.

 -- Robert Millan <rmh@debian.org>  Sat, 04 Feb 2012 17:14:34 +0100

freebsd-buildutils (9.0-4) unstable; urgency=low

  * FreeBSD code expects that <sys/param.h> implicitly defines SIG*
    macros.
  * Cherry-pick MK_SOURCELESS build option from 10-CURRENT.

 -- Robert Millan <rmh@debian.org>  Sat, 04 Feb 2012 12:27:38 +0100

freebsd-buildutils (9.0-3) unstable; urgency=low

  * Replace 10_non_kfreebsd.diff with equivalent patch from upstream
    HEAD.
  * Add __BEGIN_DECLS / __END_DECLS in local unistd.h.
  * Fix local endian.h to use native <sys/endian.h> on GNU/kFreeBSD.
  * Add local sys/errno.h and sys/stdint.h.
  * Add a few more definitions to local sys/cdefs.h.
  * Remove getline kludge. The second part was unneeded, the first one
    caused version_gen.awk to hang.
  * Add __offsetof().
  * Add nfssvc, closefrom and feature_present to unistd.h.
  * Add sys/time.h.

 -- Robert Millan <rmh@debian.org>  Sun, 29 Jan 2012 02:59:54 +0100

freebsd-buildutils (9.0-2) unstable; urgency=low

  * Add elf_common.h to local includes to fix FTBFS on GNU/Linux.
  * Install headers in freebsd hierrachy.

 -- Robert Millan <rmh@debian.org>  Sun, 08 Jan 2012 00:45:11 +0100

freebsd-buildutils (9.0-1) unstable; urgency=low

  * New upstream release.

 -- Robert Millan <rmh@debian.org>  Sat, 07 Jan 2012 20:34:01 +0100

=== debian/control ===
Source: freebsd-buildutils
Section: devel
Priority: extra
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Robert Millan <rmh@debian.org>
Build-Depends: debhelper (>= 7), flex, bison,
 libbsd-dev (>= 0.3.0),
 pkg-config,
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/freebsd-buildutils/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/freebsd-buildutils/
Standards-Version: 3.9.2

Package: freebsd-buildutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, bsdmainutils, unzip, patchutils,
# Dependencies needed because of symlinks in /usr/lib/freebsd:
#   awk -> original-awk
 original-awk,
#   gmake -> make
 make
Conflicts: freebsd5-buildutils, freebsd6-buildutils, pmake
Provides: freebsd6-buildutils, freebsd7-buildutils
Description: Utilities for building FreeBSD sources
 This package contains the FreeBSD counterparts of some standard build
 utilities (make, yacc, lex ..)
 .
 They have some specific modifications needed to be able to build FreeBSD
 sources (such as kfreebsd-8).

=== debian/rules ===
--- 
+++ 
@@ -28,22 +28,31 @@
     export STRIPFLAG=
 endif
 
+full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
+tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
+svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)-[0-9]*/\1/g')
+version		:= $(shell echo $(full_version) | sed -e 's/[~+-].*//g')
+pversion	:= $(shell echo $(version) | sed -e 's/\./_/g')
+major           := $(shell echo $(version) | sed -e 's/\..*//g')
+revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')
+
+SVN		:= http://svn.freebsd.org/base/release/$(version).0
+#SVN		:= http://svn.freebsd.org/base/releng/$(version)
+#SVN		:= http://svn.freebsd.org/base/stable/$(major)
+#SVN		:= http://svn.freebsd.org/base/head
+
 SOURCE = freebsd-buildutils
-VERSION = $(shell dpkg-parsechangelog | sed -e '/^Version:/!d' -e 's/^Version: //g' -e 's/-.*//g')
-SVN = http://svn.freebsd.org/base/release/$(VERSION).0
-
-PVERSION = $(shell dpkg-parsechangelog | sed -e '/^Version:/!d' -e 's/^Version: //g' -e 's/-.*//g' -e 's/\./_/g')
+ORIGDIR = $(SOURCE)-$(tar_version)
+TARNAME = $(SOURCE)_$(tar_version).orig.tar.gz
+
 PCVS = anoncvs@anoncvs.fr.freebsd.org:/home/ncvs
-PTAG = RELEASE_$(PVERSION)_0
-
-ORIGDIR = $(SOURCE)-$(VERSION)
-TARNAME = $(SOURCE)_$(VERSION).orig.tar.gz
+PTAG = RELEASE_$(pversion)_0
 
 export CFLAGS = -O2 -g -Wall -D_GNU_SOURCE \
          -DMACHINE_ARCH='"$(MACHINE_ARCH)"' \
          -DMACHINE_MULTIARCH='"$(MACHINE_MULTIARCH)"' \
          -I$(CURDIR)/build-tree/src/sys \
-	 -D'__FBSDID(string)='
+	-D_GNU_SOURCE=1 -isystem $(CURDIR)/debian/local/include
 # disabled due to #630907 (see also 20_libbsd_overlay.diff)
 # $(shell pkg-config --cflags libbsd-overlay)
 MAKE_BUILD_FLAGS = CC=gcc NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO NO_SHARED=NO
@@ -154,6 +163,8 @@
 		$(CURDIR)/debian/$(package)/usr/bin/freebsd-$$i ; \
 	done
 	rmdir $(CURDIR)/debian/$(package)/usr/sbin
+
+	dh_install
 
 clean:
 	dh_testdir
